using bizFacade;
using MesServerWork;
using System;
using System.Data;
//using SystemFramework;

namespace MesServerFunctions
{
    partial class FunctionMES
    {
        /// <summary>
        /// 工件到位与离开时，清空MES自身信号
        /// </summary>
        /// <param name="OpName"></param>
        /// <param name="tagValue"></param>
        private void WorkStart(object  e)
        {
            try
            {
                DoWhatPlc.CustomeEvetnArgs msgEvent = (DoWhatPlc.CustomeEvetnArgs)e;
                string OpName = Convert.ToString(msgEvent.OpName);
                int tagValue = Convert.ToInt32(msgEvent.TagValue);

                for (int i = 1; i <= 40; i++)
                {
                    MIS_BASE.WritePLC(127 + i, OpName, 0);
                }
            }
            catch (Exception err)
            {
                ////ApplicationLog.WriteLog(err, "Function02:WorkStart");
            }
        }

    }
}
